---
title: ':host'
slug: 'Web/CSS/:host'
tags:
  - ':host'
  - CSS
  - DOM
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
  - Web Components
  - shadow
  - shadow dom
---
<div>{{ CSSRef }}</div>

<p><span class="seoSummary">The <strong><code>:host</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> selects the shadow host of the <a href="/en-US/docs/Web/Web_Components/Using_shadow_DOM">shadow DOM</a> containing the CSS it is used inside — in other words, this allows you to select a custom element from inside its shadow DOM.</span></p>

<div class="note">
<p><strong>Note</strong>: This has no effect when used outside a shadow DOM.</p>
</div>

<pre class="brush: css no-line-numbers notranslate">/* Selects a shadow root host */
:host {
  font-weight: bold;
}
</pre>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate">:host
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Styling_the_shadow_host">Styling the shadow host</h3>

<p>The following snippets are taken from our <a href="https://github.com/mdn/web-components-examples/tree/master/host-selectors">host-selectors example</a> (<a href="https://mdn.github.io/web-components-examples/host-selectors/">see it live also</a>).</p>

<p>In this example we have a simple custom element — <code>&lt;context-span&gt;</code> — that you can wrap around text:</p>

<pre class="brush: html notranslate">&lt;h1&gt;Host selectors &lt;a href="#"&gt;&lt;context-span&gt;example&lt;/context-span&gt;&lt;/a&gt;&lt;/h1&gt;</pre>

<p>Inside the element's constructor, we create <code>style</code> and <code>span</code> elements, fill the <code>span</code> with the content of the custom element, and fill the <code>style</code> element with some CSS rules:</p>

<pre class="brush: js notranslate">let style = document.createElement('style');
let span = document.createElement('span');
span.textContent = this.textContent;

const shadowRoot = this.attachShadow({mode: 'open'});
shadowRoot.appendChild(style);
shadowRoot.appendChild(span);

style.textContent = 'span:hover { text-decoration: underline; }' +
                    ':host-context(h1) { font-style: italic; }' +
                    ':host-context(h1):after { content: " - no links in headers!" }' +
                    ':host-context(article, aside) { color: gray; }' +
                    ':host(.footer) { color : red; }' +
                    ':host { background: rgba(0,0,0,0.1); padding: 2px 5px; }';</pre>

<p>The <code>:host { background: rgba(0,0,0,0.1); padding: 2px 5px; }</code> rule styles all instances of the <code>&lt;context-span&gt;</code> element (the shadow host in this instance) in the document.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS Scope', '#host-selector', ':host') }}</td>
   <td>{{ Spec2('CSS Scope') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.host")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Web_Components">Web components</a></li>
 <li>{{cssxref(":host()")}}</li>
 <li>{{cssxref(":host-context()")}}</li>
</ul>
